program testTableauDynamiqueDEntiers;

uses TableauDynamiqueDEntiers;

const
   MAX = 100;
procedure affichage(t : TTableauDynamiqueDEntiers);
var
   i : Integer;
begin
   for i:=1 to longueur(t) do
      write(iemeEntier(t,i),' ');
   writeln();
end;

procedure testAjouter(var t : TTableauDynamiqueDEntiers; nb : Longint);
var
   i: Longint;
   val : Integer;
begin
   for i:=1 to nb do
   begin
      val := random(MAX);
      ajouter(t,val);
      write('Ajout de ',val,' : ');affichage(t);
   end;   
end;

procedure testInserer(var t : TTableauDynamiqueDEntiers; nb : Longint);
var
   i,j : Longint;
   val : Integer;
begin
   for i:=1 to nb do
   begin
      j := random(longueur(t))+1;
      val := random(MAX);
      inserer(t,val,j);
      write('Inserer de ',val,' a pos=',j,' : ');affichage(t);
   end;  
end;

procedure testSupprimer(var t : TTableauDynamiqueDEntiers; nb : Longint);
var
   i,j : Longint;
begin
   for i:=1 to nb do
   begin
      j := random(longueur(t))+1;
      supprimer(t,j);
      write('Suppression pos=',j,' : ');affichage(t);
   end;  
end;

var
   nb : Longint;
   t : TTableauDynamiqueDEntiers;

begin
   write('Combien d''entiers :');
   readln(nb);
   testAjouter(t,nb div 2);
   testInserer(t,nb div 2);
   testSupprimer(t,nb div 2);
   vider(t);
   write('Tableau vide : ');affichage(t)
end.
   
